org.eclnt.jsfserver.elements.componentnodes

## Class JRVIEWERNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.JRVIEWERNode

- All Implemented Interfaces:
    java.io.Serializable

      public class JRVIEWERNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRVIEWERNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRVIEWERNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindColspan(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindComment(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindHeight(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindJasperxml(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindRendered(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindSaveformatfilter(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindShadow(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindWidth(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindX(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `bindY(IDynamicContentBindingObject value)`
    `JRVIEWERNode` | `setAdapterbinding(java.lang.String value)`
    `JRVIEWERNode` | `setAttributemacro(java.lang.String value)`
    `JRVIEWERNode` | `setColspan(int value)`
    `JRVIEWERNode` | `setColspan(java.lang.String value)`
    `JRVIEWERNode` | `setComment(java.lang.String value)`
    `JRVIEWERNode` | `setConfiginfo(java.lang.String value)`
    `JRVIEWERNode` | `setHeight(int value)`
    `JRVIEWERNode` | `setHeight(java.lang.String value)`
    `JRVIEWERNode` | `setId(java.lang.String value)`
    `JRVIEWERNode` | `setJasperxml(java.lang.String value)`
    `JRVIEWERNode` | `setReference(java.lang.String value)`
    `JRVIEWERNode` | `setRendered(boolean value)`
    `JRVIEWERNode` | `setRendered(java.lang.String value)`
    `JRVIEWERNode` | `setSaveformatfilter(java.lang.String value)`
    `JRVIEWERNode` | `setShadow(java.lang.String value)`
    `JRVIEWERNode` | `setStylevariant(java.lang.String value)`
    `JRVIEWERNode` | `setWidth(int value)`
    `JRVIEWERNode` | `setWidth(java.lang.String value)`
    `JRVIEWERNode` | `setX(int value)`
    `JRVIEWERNode` | `setX(java.lang.String value)`
    `JRVIEWERNode` | `setY(int value)`
    `JRVIEWERNode` | `setY(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRVIEWERNode

          public JRVIEWERNode()

  - ### Method Detail

    - #### setId

          public JRVIEWERNode setId(java.lang.String value)

    - #### setAdapterbinding

          public JRVIEWERNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public JRVIEWERNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public JRVIEWERNode setAttributemacro(java.lang.String value)

    - #### setColspan

          public JRVIEWERNode setColspan(java.lang.String value)

    - #### bindColspan

          public JRVIEWERNode bindColspan(IDynamicContentBindingObject value)

    - #### setColspan

          public JRVIEWERNode setColspan(int value)

    - #### setComment

          public JRVIEWERNode setComment(java.lang.String value)

    - #### bindComment

          public JRVIEWERNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public JRVIEWERNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public JRVIEWERNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setHeight

          public JRVIEWERNode setHeight(java.lang.String value)

    - #### bindHeight

          public JRVIEWERNode bindHeight(IDynamicContentBindingObject value)

    - #### setHeight

          public JRVIEWERNode setHeight(int value)

    - #### setJasperxml

          public JRVIEWERNode setJasperxml(java.lang.String value)

    - #### bindJasperxml

          public JRVIEWERNode bindJasperxml(IDynamicContentBindingObject value)

    - #### setReference

          public JRVIEWERNode setReference(java.lang.String value)

    - #### setRendered

          public JRVIEWERNode setRendered(java.lang.String value)

    - #### bindRendered

          public JRVIEWERNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public JRVIEWERNode setRendered(boolean value)

    - #### setSaveformatfilter

          public JRVIEWERNode setSaveformatfilter(java.lang.String value)

    - #### bindSaveformatfilter

          public JRVIEWERNode bindSaveformatfilter(IDynamicContentBindingObject value)

    - #### setShadow

          public JRVIEWERNode setShadow(java.lang.String value)

    - #### bindShadow

          public JRVIEWERNode bindShadow(IDynamicContentBindingObject value)

    - #### setStylevariant

          public JRVIEWERNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public JRVIEWERNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setWidth

          public JRVIEWERNode setWidth(java.lang.String value)

    - #### bindWidth

          public JRVIEWERNode bindWidth(IDynamicContentBindingObject value)

    - #### setWidth

          public JRVIEWERNode setWidth(int value)

    - #### setX

          public JRVIEWERNode setX(java.lang.String value)

    - #### bindX

          public JRVIEWERNode bindX(IDynamicContentBindingObject value)

    - #### setX

          public JRVIEWERNode setX(int value)

    - #### setY

          public JRVIEWERNode setY(java.lang.String value)

    - #### bindY

          public JRVIEWERNode bindY(IDynamicContentBindingObject value)

    - #### setY

          public JRVIEWERNode setY(int value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.